For the complete documentation index, see llms.txt. This page is also available as Markdown.

Automations

Retrieve all automations

get

Retrieve all of a workspace's automations.

Authorizations
ambit_access-tokenstringRequired
Query parameters
stepsbooleanRequired
Responses
200

The collection of automations.

application/json
idstringRequired

The automation's ID.

Example: 39eb2dbd-234d-47c2-bdfa-55a34fb9fe29
namestringRequired

The automation's name

Example: Welcome email
typeobjectRequired

The automation's type. Used to distinguish user-created automations from automations used by funnels.

Example: USER_CREATED
versionnumberRequired

The automation's version.

Example: 1
is_activebooleanRequired

Whether the automation is active.

Example: true
created_atstring · date-timeRequired

Timestamp of when the automation was created.

Example: 2025-01-01T00:00:00.000Z
updated_atstring · date-timeRequired

Timestamp of when the automation was last updated.

Example: 2025-01-01T00:00:00.000Z
get/automations
GET /api/v1/automations?steps=true HTTP/1.1
Accept: */*
[
  {
    "id": "39eb2dbd-234d-47c2-bdfa-55a34fb9fe29",
    "name": "Welcome email",
    "type": "USER_CREATED",
    "version": 1,
    "is_active": true,
    "created_at": "2025-01-01T00:00:00.000Z",
    "updated_at": "2025-01-01T00:00:00.000Z"
  }
]

Retrieve a single automation

get

Retrieve a single automation by its ID.

Authorizations
ambit_access-tokenstringRequired
Path parameters
automationIdstringRequired

The ID of the automation.

Example: 981ba079-62a6-442c-8dfb-a72af6e96b8c
Query parameters
stepsbooleanRequired
Responses
200

The automation.

application/json
idstringRequired

The automation's ID.

Example: 39eb2dbd-234d-47c2-bdfa-55a34fb9fe29
namestringRequired

The automation's name

Example: Welcome email
typeobjectRequired

The automation's type. Used to distinguish user-created automations from automations used by funnels.

Example: USER_CREATED
versionnumberRequired

The automation's version.

Example: 1
is_activebooleanRequired

Whether the automation is active.

Example: true
created_atstring · date-timeRequired

Timestamp of when the automation was created.

Example: 2025-01-01T00:00:00.000Z
updated_atstring · date-timeRequired

Timestamp of when the automation was last updated.

Example: 2025-01-01T00:00:00.000Z
get/automations/{automationId}
GET /api/v1/automations/{automationId}?steps=true HTTP/1.1
Accept: */*
{
  "id": "39eb2dbd-234d-47c2-bdfa-55a34fb9fe29",
  "name": "Welcome email",
  "type": "USER_CREATED",
  "version": 1,
  "is_active": true,
  "created_at": "2025-01-01T00:00:00.000Z",
  "updated_at": "2025-01-01T00:00:00.000Z"
}

Last updated